---
title: Get Element Tag Name
slug: Web/WebDriver/Commands/GetElementTagName
tags:
  - Command
  - Get Element Tag Name
  - Reference
  - WebDriver
---
<p>The <em>Get Element Tag Name</em> <a href="/en-US/Web/WebDriver/Command">command</a> of the <a href="/en-US/docs/Web/WebDriver">WebDriver</a> API returns the tag name of the referenced <a href="/en-US/Web/WebDriver/WebElement">web element</a>. If for example the element is an {{HTMLElement("img")}}, the returned tag name is <code>"IMG"</code>, which is equivalent to calling {{domxref("Element.tagName")}} on the element. For XML/XHTML documents it may be cased differently.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Method</th>
   <th scope="col">URI template</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>GET</code></td>
   <td><code>/session/{<em>session id</em>}/element/{<em>element id</em>}/name</code></td>
  </tr>
 </tbody>
</table>

<h3 id="URL_parameters">URL parameters</h3>

<dl>
 <dt><code>session id</code></dt>
 <dd>Identifier of the session.</dd>
 <dt><code>element id</code></dt>
 <dd>Identifier of the <a href="/en-US/docs/Web/WebDriver/WebElement">web element</a> to get the tag name of.</dd>
</dl>

<h3 id="Errors">Errors</h3>

<dl>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/SessionNotCreated">Session not created</a></dt>
 <dd>Session does not exist.</dd>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/NoSuchWindow">No such window</a></dt>
 <dd>The <code><a href="/en-US/docs/Web/API/Window">window</a></code> object has been discarded, indicating that the tab or window has been closed.</dd>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/UnexpectedAlertOpen">Unexpected alert open</a></dt>
 <dd>A user prompt, such as <code><a href="/en-US/docs/Web/API/Window/alert">window.alert</a></code>, blocks execution of command until it is dealt with.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Python:</p>

<pre class="brush: python">from selenium import webdriver

session = webdriver.Firefox()
session.get("https://google.com/?hl=en")
search_box = driver.find_element_by_id("q")

print(search_box.tag_name)
</pre>

<p>Output:</p>

<pre>INPUT</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebDriver', '#dfn-get-element-tag-name', 'Get Element Tag Name')}}</td>
   <td>{{Spec2('WebDriver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("webdriver.commands.GetElementTagName")}}</p>
